{% extends "index.html" %}
{% load staticfiles %}
{% block regis_login %}
<div id="modal_trigger" href="#" class="btn-login">
        {% csrf_token %}
        {% if is_writer %}
        <a style="color: #ffffff" href="{% url 'addnews' %}">+</a>
        {% endif %}
        <a style="color: #ffffff" href="{% url 'modify_infor' %}">{{username}}</a>
        <a style="color: #ffffff" href="{% url 'user_logout' %}">Đăng xuất</a>
</div>
{% endblock regis_login %}
{% block content %}
<div class = 'col-xs-10' style=" width:45%;
position: static;
margin: 0px 45% 0px 45% ;
">

<form method="POST" action="{% url 'addnews' %}">
        {% csrf_token %}
    {% for field in form %}
        <div>
            {{ field.label_tag }}
        </div>
        <div>{{ field }} </div>
    {% endfor %}
        <div class="action_btns">
                <div class="one_half last"><input type="submit" class="btn btn_red" value="Register"></div>
        </div>
</form>



</div>
    
{% endblock content %}
<script src="{% static 'js/jquery.min.js' %}"></script>
<script type="text/javascript">

document.getElementById("modal_trigger").onclick = function() {
    document.getElementById("modal").style.display = "block";

};

document.getElementById("modal_close").onclick = function() {
    document.getElementById("modal").style.display = "none";

};

$(".modal_close").click(function() {
      $(".modal").hide();
    // $(".user_login").show();
      return false;
})
// Calling Login Form
$("#login_form").click(function() {
        $(".social_login").hide();
        $(".user_login").show();
        return false;
});

// Calling Register Form
$("#register_form").click(function() {
        $(".social_login").hide();
        $(".user_register").show();
        $(".header_title").text('Register');
        return false;
});

// Going back to Social Forms
$(".back_btn").click(function() {
        $(".user_login").hide();
        $(".user_register").hide();
        $(".social_login").show();
        $(".header_title").text('Login');
        return false;
});

</script>
